﻿namespace Hotline.Share.Requests
{
    public record OrderNoSigenRequestDto : PagedRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string? OrgName { get; set; }

        /// <summary>
        /// 部门Code
        /// </summary>
        public string? OrgCode { get; set; }

        /// <summary>
        /// 是否省来源
        /// </summary>
        public bool? IsProvince { get; set; }

        /// <summary>
        /// 来电/信人身份0：全部 ，1：市民，2：企业
        /// </summary>
        public int? TypeId { get; set; }

        /// <summary>
        /// 数据来源 1：工单未签收，2：会签未签收
        /// </summary>
        public int? DataSoure { get; set; }
    }
}
